import request from '@/utils/request'

// 查询检疫记录列表
export function listQuarantine(query) {
  return request({
    url: '/biosafety/quarantine/list',
    method: 'get',
    params: query
  })
}

// 查询检疫记录详细
export function getQuarantine(id) {
  return request({
    url: '/biosafety/quarantine/' + id,
    method: 'get'
  })
}

// 新增检疫记录
export function addQuarantine(data) {
  return request({
    url: '/biosafety/quarantine',
    method: 'post',
    data: data
  })
}

// 修改检疫记录
export function updateQuarantine(data) {
  return request({
    url: '/biosafety/quarantine',
    method: 'put',
    data: data
  })
}

// 删除检疫记录
export function delQuarantine(id) {
  return request({
    url: '/biosafety/quarantine/' + id,
    method: 'delete'
  })
}
